{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAR_DESCRIPTION"; 
            externalType = VARCHAR2; 
            name = parDescription; 
            valueClassName = NSString; 
            valueType = S; 
            width = 300; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAR_KEY"; 
            externalType = VARCHAR2; 
            name = parKey; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAR_NIVEAU_MODIF"; 
            externalType = NUMBER; 
            name = parNiveauModif; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = "PAR_ORDRE"; 
            externalType = NUMBER; 
            name = parOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAR_VALUE"; 
            externalType = VARCHAR2; 
            name = parValue; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (parOrdre, exeOrdre, parKey, parValue, parDescription, parNiveauModif); 
    className = "org.cocktail.mangue.modele.mangue.budget.EOParametre"; 
    classProperties = (exeOrdre, parKey, parValue); 
    externalName = "MANGUE.PARAMETRE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (exeOrdre, parKey, parValue); }; 
    name = Parametre; 
    primaryKeyAttributes = (parOrdre); 
}
